#ifndef __LOG_UTIL_H__
#define __LOG_UTIL_H__

#define KWHT  "\x1B[37m"
#define KGRN  "\x1B[32m"
#define KCYN  "\x1B[36m"
#define KYEL  "\x1B[33m"

void logger_printf(const char *color, const char *file, const char *func, int line, const char *fmt, ...);

#define LOG_DEBUG(fmt, args...) \
    logger_printf(KWHT,__FILE__,__FUNCTION__,__LINE__,fmt,##args)
#define LOG_INFO(fmt, args...) \
    logger_printf(KGRN,__FILE__,__FUNCTION__,__LINE__,fmt,##args)
#define LOG_WARN(fmt, args...) \
    logger_printf(KCYN,__FILE__,__FUNCTION__,__LINE__,fmt,##args)
#define LOG_ERROR(fmt, args...) \
    logger_printf(KYEL,__FILE__,__FUNCTION__,__LINE__,fmt,##args)

#endif